Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455328 - fence_scsi: request for better error if node to fence doesn't exist
Summary: fence_scsi: request for better error if node to fence doesn't exist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Ryan O'Hara
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On: 409451
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-14 20:22 UTC by Ryan O'Hara
Modified: 2009-04-16 23:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 21:52:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0189 normal SHIPPED_LIVE cman bug-fix and enhancement update 2009-01-20 16:05:55 UTC

Description Ryan O'Hara 2008-07-14 20:22:39 UTC
+++ This bug was initially created as a clone of Bug #409451 +++

Description of problem:
I forgot I was using the other nic interface and it took me a lot of debugging
before I rememebered to use the correct name

[root@taft-04 ~]# fence_scsi -n taft-03
Unable to execute sg_persist (/dev/sdb1).

[root@taft-04 ~]# fence_scsi -n taft-03-e2

A message like "taft-03 doesn't exist in this cluster" would be more helpful.

Version-Release number of selected component (if applicable):
fence-1.32.50-2.fencescsi.test.patch

Comment 1 RHEL Product and Program Management 2008-07-14 21:01:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Ryan O'Hara 2008-09-04 21:29:05 UTC
Fixed in RHEL5.

As mentioned above, the script will simply check to see the nodeid we get from
the XML query of cluster.conf. If nodeid is zero, then either the node does not
exist in this cluster or the nodeid is not set. Either case is invalid, so we
report and error and exit.

Comment 5 errata-xmlrpc 2009-01-20 21:52:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0189.html


Note You need to log in before you can comment on or make changes to this bug.